#pragma once

#include "Widget.h"
#include "CanvasElements.h"

class CanvasController;
class CanvasDrawingArea;

class CanvasView : public Widget
{
public:
    CanvasView();

    ~CanvasView();

    static Ptr<CanvasView> Create();

private:
    void onDrawCommandChanged(CanvasDrawCommand command);

    void initialize();

    Ptr<Widget> initializeCacheButtons();

    Ptr<CanvasController> mController;

    CanvasDrawingArea* mDrawingArea{nullptr};
};
using CanvasViewPtr = Ptr<CanvasView>;
