#pragma once

#include "PlainTextDocument.h"
#include "Memory.h"

class TextEditorModel
{
    PlainTextDocumentUPtr mDocument;

public:

    TextEditorModel();

    static Ptr<TextEditorModel> Create();

    PlainTextDocument* GetDocument() const;
};

using TextEditorModelUPtr = Ptr<TextEditorModel>;
